Subject: Re: [nfsv4] [Technical Errata Reported] RFC5661 (6015)

From: Magnus Westerlund <[email-masked]>
Date: Thu, 3 Sep 2020 11:34:18 +0000

WG,

What should we do with this Errata? 

I want to give it a status so that it is clear before we request the RFC-editor
to copy the Errata that was not addressed by RFC 8881 to that RFC. 

Please provide recommendation if this should be Verified, Held for document
update or rejected.

Cheers

Magnus

On Wed, 2020-03-11 at 18:14 -0700, RFC Errata System wrote:
> The following errata report has been submitted for RFC5661,
> "Network File System (NFS) Version 4 Minor Version 1 Protocol".
> 
> --------------------------------------
> You may review the report below and at:
> 
https://protect2.fireeye.com/v1/url?k=e9a9b50a-b5201ac9-e9a9f591-0cc47ad93d36-a606113c3ee7f07e&q=1&e=f82a0d48-f6c6-4b8a-968c-230793472d54&u=https%3A%2F%2Fwww.rfc-editor.org%2Ferrata%2Feid6015
> 
> --------------------------------------
> Type: Technical
> Reported by: Sushil Agarwal <[email-masked]>
> 
> Section: 17
> 
> Original Text
> -------------
> CB_SEQUENCE             | OPT  
> 
> Corrected Text
> --------------
> CB_SEQUENCE             | REQ
> 
> Notes
> -----
> The section 20.9.3 of CB_SEQUENCE says
> 
> "In each CB_COMPOUND request, CB_SEQUENCE MUST appear once and MUST be the
>    first operation.  The error NFS4ERR_SEQUENCE_POS MUST be returned
>    when CB_SEQUENCE is found in any position in a CB_COMPOUND beyond the
>    first.  If any other operation is in the first position of CB_COMPOUND,
> NFS4ERR_OP_NOT_IN_SESSION MUST be returned."
> 
> Since CB_RECALL_SLOT is REQ operation in NFSv4.1. This make CB_COMPOUND as REQ
> procedure. Since CB_COMPOUND require CB_SEQUENCE as its first operation and
> hence CB_SEQUENCE must be required operation.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5661 (draft-ietf-nfsv4-minorversion1-29)
> --------------------------------------
> Title               : Network File System (NFS) Version 4 Minor Version 1
> Protocol
> Publication Date    : January 2010
> Author(s)           : S. Shepler, Ed., M. Eisler, Ed., D. Noveck, Ed.
> Category            : PROPOSED STANDARD
> Source              : Network File System Version 4
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG
-- 
Cheers

Magnus Westerlund 

----------------------------------------------------------------------
Networks, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Torshamnsgatan 23           | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: "Noveck, David" <[email-masked]>
Date: Thu, 3 Sep 2020 12:28:02 +0000

Recommend it be verified.

-----Original Message-----
From: Magnus Westerlund <[email-masked]> 
Sent: Thursday, September 3, 2020 7:34 AM
To: Noveck, David <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Technical Errata Reported] RFC5661 (6015)

NetApp Security WARNING: This is an external email. Do not click links or open attachments unless you recognize the sender and know the content is safe.

WG,

I want to give it a status so that it is clear before we request the RFC-editor to copy the Errata that was not addressed by RFC 8881 to that RFC.

Please provide recommendation if this should be Verified, Held for document update or rejected.

Cheers

Magnus

On Wed, 2020-03-11 at 18:14 -0700, RFC Errata System wrote:
> The following errata report has been submitted for RFC5661, "Network 
> File System (NFS) Version 4 Minor Version 1 Protocol".
>
>    first.  If any other operation is in the first position of 
> CB_COMPOUND, NFS4ERR_OP_NOT_IN_SESSION MUST be returned."
>
> Since CB_RECALL_SLOT is REQ operation in NFSv4.1. This make 
> CB_COMPOUND as REQ procedure. Since CB_COMPOUND require CB_SEQUENCE as 
> its first operation and hence CB_SEQUENCE must be required operation.
>
> Instructions:
> -------------
> use "Reply All" to discuss whether it should be verified or rejected. 
> When a decision is reached, the verifying party can log in to change 
> the status and edit the report, if necessary.
>
--
Cheers

Magnus Westerlund